Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TMexInterceptor

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TMexInterceptorImpl

    public interface TMexInterceptor

extends org.apache.xmlbeans.XmlObject

An XML tMexInterceptor(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TMexInterceptor.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getClassName()` Gets the "class-name" element
`void` | `setClassName(java.lang.String className)` Sets the "class-name" element
`org.apache.xmlbeans.XmlString` | `xgetClassName()` Gets (as xml) the "class-name" element
`void` | `xsetClassName(org.apache.xmlbeans.XmlString className)` Sets (as xml) the "class-name" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getClassName

    java.lang.String getClassName()

  Gets the "class-name" element

### xgetClassName

    org.apache.xmlbeans.XmlString xgetClassName()

  Gets (as xml) the "class-name" element

### setClassName

    void setClassName(java.lang.String className)

  Sets the "class-name" element

### xsetClassName

    void xsetClassName(org.apache.xmlbeans.XmlString className)

  Sets (as xml) the "class-name" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD